MRE3 C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MrEModuleSdk.Devices.SdkInterfaces.ILogger Interface Reference
Inheritance diagram for MrEModuleSdk.Devices.SdkInterfaces.ILogger:

## Public Member Functions
int | ReadLoggedRegisterAddress (int registerNumber)
| Returns address of register to log in the corresponding vector.
void | WriteLoggedRegisterAddress (int registerNumber, ushort registerAddress)
| Sets address of register to log in the corresponding vector.
void | StartLogger ()
| Starts logger. Will be stopped after the memory is filled.
void | StopLogger ()
| Stops logger.
bool | IsLoggerRunning ()
| Returns logger running status.
float | ReadLoggerSamplingRate ()
| Returns sampling rate in Hz which the logger logs values.
void | WriteLoggerSamplingRate (float samplingRate)
| Sets sampling rate in Hz which the logger logs values.
float | ReadLoggerMinimumSamplingFrequency ()
| Returns minimum sampling rate in Hz which the logger logs values.
float | ReadLoggerMaximumSamplingFrequency ()
| Returns maximum sampling rate in Hz which the logger logs values.
float[] | ReadLoggerRegisterLog (int registerNumber, int startIndex=0, int count=5000)
| Returns logged values for corresponding registers.

## Member Function Documentation

## ◆ IsLoggerRunning()

bool MrEModuleSdk.Devices.SdkInterfaces.ILogger.IsLoggerRunning | ( |  | ) |

Returns logger running status.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadLoggedRegisterAddress()

int MrEModuleSdk.Devices.SdkInterfaces.ILogger.ReadLoggedRegisterAddress | ( | int | registerNumber | ) |

Returns address of register to log in the corresponding vector.

Parameters

  registerNumber | Number of register 0,1,2,3,4,5>

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadLoggerMaximumSamplingFrequency()

float MrEModuleSdk.Devices.SdkInterfaces.ILogger.ReadLoggerMaximumSamplingFrequency | ( |  | ) |

Returns maximum sampling rate in Hz which the logger logs values.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadLoggerMinimumSamplingFrequency()

float MrEModuleSdk.Devices.SdkInterfaces.ILogger.ReadLoggerMinimumSamplingFrequency | ( |  | ) |

Returns minimum sampling rate in Hz which the logger logs values.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadLoggerRegisterLog()

float[] MrEModuleSdk.Devices.SdkInterfaces.ILogger.ReadLoggerRegisterLog | ( | int | registerNumber,
|  | int | startIndex = 0,
|  | int | count = 5000 )

Returns logged values for corresponding registers.

Parameters

  registerNumber | Number of register 0,1,2,3,4,5>
  startIndex |
  count |

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadLoggerSamplingRate()

float MrEModuleSdk.Devices.SdkInterfaces.ILogger.ReadLoggerSamplingRate | ( |  | ) |

Returns sampling rate in Hz which the logger logs values.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ StartLogger()

void MrEModuleSdk.Devices.SdkInterfaces.ILogger.StartLogger | ( |  | ) |

Starts logger. Will be stopped after the memory is filled.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ StopLogger()

void MrEModuleSdk.Devices.SdkInterfaces.ILogger.StopLogger | ( |  | ) |

Stops logger.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteLoggedRegisterAddress()

void MrEModuleSdk.Devices.SdkInterfaces.ILogger.WriteLoggedRegisterAddress | ( | int | registerNumber,
|  | ushort | registerAddress )

Sets address of register to log in the corresponding vector.

Parameters

  registerNumber | Number of register 0,1,2,3,4,5>
  registerAddress | Register address

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteLoggerSamplingRate()

void MrEModuleSdk.Devices.SdkInterfaces.ILogger.WriteLoggerSamplingRate | ( | float | samplingRate | ) |

Sets sampling rate in Hz which the logger logs values.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

The documentation for this interface was generated from the following file:

- C:/Users/jan.janda/Desktop/Mre3Documentation/ILogger.cs